### Method

# FwupdPlugin Device incorporate

#### Declaration [src]

    void
    fu_device_incorporate (
      FuDevice* self,
      FuDevice* donor,
      FuDeviceIncorporateFlags flag
    )

#### Description [src]

Copy some properties from the donor object if they have not already been set.

Available since: | 2.0.0

#### Parameters

`donor` | `FuDevice`
| Another `FuDevice`.
| The data is owned by the caller of the function.
`flag` | `FuDeviceIncorporateFlags`
| Some `FuDeviceIncorporateFlags`, e.g. `FU_DEVICE_INCORPORATE_FLAG_PHYSICAL_ID`.